Query system events
get
/epm/rest/public/v1/audit/systemEvents
Request
Query Parameters
-
eventCategory: string
Event categoryAllowed Values:
[ "ALL", "ALL_EXCLUDING_INDEX", "INDEX", "METADATA", "MIGRATION", "SECURITY", "SYSTEM", "TEMPLATE" ] -
eventType: string
Event type scoped to eventCategory
-
fromDate: string
Start of date range as timestamp with UTC, time zone offset, or time zone nameAllowed Values:
[ "YYYY-MM-DDTHH:MM:SS", "YYYY-MM-DDTHH:MM:SS+hh:mm", "YYYY-MM-DDTHH:MM:SS Region/City" ] -
pageSize: string
Number of records to return. Default 50, maximum 200.
-
pageToken: string
Opaque token returned by the previous response
-
toDate: string
End of date range as timestamp with UTC, time zone offset, or time zone nameAllowed Values:
[ "YYYY-MM-DDTHH:MM:SS", "YYYY-MM-DDTHH:MM:SS-hh:mm", "YYYY-MM-DDTHH:MM:SS Region/City" ]
Response
Supported Media Types
- application/json
200 Response
OK
Nested Schema : SystemEvent
Type:
Show Source
object-
application:
object IdNameDescription
-
createdBy:
string
-
dimension:
object IdNameDescription
-
eventAction:
string
-
eventCategory:
string
-
eventCategoryCode:
string
-
eventDate:
integer(int64)
-
eventDescription:
string
-
eventType:
string
-
eventTypeCode:
string
-
hierarchySet:
object IdNameDescription
-
id:
string
-
nodeType:
object IdNameDescription
-
status:
string
-
user:
object User
-
view:
object IdNameDescription
Nested Schema : User
Type:
Show Source
object-
artifactAssignments:
array artifactAssignments
-
associatedRoles:
array associatedRoles
-
dataManagerOnAny:
boolean
-
emailAddresses:
array emailAddresses
-
epmIdleSessionTimeout:
integer(int32)
-
firstName:
string
-
fullName:
string
-
grantPermission:
string
Allowed Values:
[ "OWNER", "DATAMANAGER", "PARTICIPANT", "APPROVER", "NOTIFIED", "COMMITTER", "NONE", "METADATAMANAGER" ] -
homePageLayoutName:
string
-
id:
string(uuid)
-
lastName:
string
-
links:
array links
-
nameInitials:
string
-
preferences:
object Preferences
-
ssoToken:
string
-
userName:
string
-
userServiceAdministrator:
boolean
Nested Schema : Preferences
Type:
Show Source
object-
actAsThisRole:
string
Allowed Values:
[ "USER", "SERVICE_ADMINISTRATOR" ] -
delegateToUserId:
string(uuid)
-
languageTag:
string
-
links:
array links
-
outOfOffice:
boolean
-
profilePictureId:
string(uuid)
-
timeZone:
object TimeZone
Nested Schema : Artifact
Type:
Show Source
object-
id:
string(uuid)
-
name:
string
-
type:
string
Allowed Values:
[ "CLUSTER", "CARD" ]
400 Response
Error Response
401 Response
Unauthorized
Examples
The following example shows how to retrieve all the system events by submitting a GET request on the REST resource using cURL.
curl --user edmcs_cloud_user -X GET https://servername.fa.us2.oraclecloud.com/epm/rest/public/v1/audit/systemEvents?eventCategory=SYSTEM&fromDate=2026-07-01T00:00:00.000Z&toDate=2026-07-04T00:00:00.000Z
Example of the Response Body
The following example shows the contents of the response body in JSON format:
{
"items": [
{
"id": "8589A507CE49475A8FC310FE9EF2E613|-",
"eventCategory": "SYSTEM",
"eventCategoryCode": "SYSTEM",
"eventAction": "EVENT",
"eventDescription": "System starting up",
"eventType": "System Startup",
"eventTypeCode": "SYSTEM_STARTUP",
"eventDate": "2026-07-02T12:43:37.976Z",
"status": "SUCCESS",
"user": {
"userName": "@@sysadmin",
"fullName": "System User"
},
"createdBy": "83ed6845-5299-4dce-ad3f-81a92bcc0853"
},
{
"id": "259E0DB848DC438D8DA3EB09C67943CA|-",
"eventCategory": "SYSTEM",
"eventCategoryCode": "SYSTEM",
"eventAction": "EVENT",
"eventDescription": "System shutting down",
"eventType": "System Shutdown",
"eventTypeCode": "SYSTEM_SHUTDOWN",
"eventDate": "2026-07-02T12:30:41.830Z",
"status": "SUCCESS",
"user": {
"userName": "@@sysadmin",
"fullName": "System User"
},
"createdBy": "83ed6845-5299-4dce-ad3f-81a92bcc0853"
}
],
"pageSize": 2,
"nextPageToken": "MjAyNi0wNi0zMFQxMToxOTo1NS4xMDNafEE1RTQ1NTc5MzRCMDQzRkVBQzgxMjQ5Njk0QTRENEJDfC0",
"hasMore": true
}